%define upstream_name    String-Flogger
%define upstream_version 1.101241

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    String munging for loggers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(JSON)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

Requires:   perl(JSON)
%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Feb 22 2011 jquelin <jquelin> 1.101.241-1.mga1
+ Revision: 56828
- update to 1.101241

* Thu Jan 20 2011 jquelin <jquelin> 1.101.240-1.mga1
+ Revision: 27006
- mageia rebuild
- imported package perl-String-Flogger

